using Tiger.Communication.Messages.Interfaces;
using Tiger.Communication.Messages.Types;

namespace Tiger.Communication.Messages.Outgoing.Users;

public class CreditBalanceComposer : IMessageComposer
{
    private readonly uint _credits;

    public CreditBalanceComposer(uint credits)
    {
        _credits = credits;
    }

    public OutgoingHeaders Header => OutgoingHeaders.CreditBalanceComposer;
    public void Compose(ServerMessage message)
    {
        message.AppendString($"{_credits}.0");
    }
}